avro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom White (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AVRO-1417) trevni-avro:hadoop2 depends on avro-mapred:hadoop1
Date Wed, 22 Jan 2014 10:11:23 GMT

    [ https://issues.apache.org/jira/browse/AVRO-1417?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13878487#comment-13878487
] 

Tom White commented on AVRO-1417:
---------------------------------

Sorry, I missed your question Doug. I think we should publish artifacts with different version
numbers, e.g. 1.8.0 and 1.8.0-hadoop2 (this is the Crunch pattern). Or maybe now since Hadoop
2 is the current stable release (http://www.us.apache.org/dist/hadoop/common/stable/) we could
have 1.8.0 as the Hadoop 2 version, and 1.8.0-hadoop1 as the Hadoop 1 version?

> trevni-avro:hadoop2 depends on avro-mapred:hadoop1
> --------------------------------------------------
>
>                 Key: AVRO-1417
>                 URL: https://issues.apache.org/jira/browse/AVRO-1417
>             Project: Avro
>          Issue Type: Bug
>          Components: build, trevni
>            Reporter: Tom White
>         Attachments: pom-workaround.xml, pom.xml
>
>
> The problem is that classifiers are not propagated through the dependency tree, so {{org.apache.avro:trevni-avro:jar:hadoop2:1.7.5}}
will pull in {{org.apache.avro:avro-mapred:jar:hadoop1:1.7.5}}.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message